Résolu

Voomotion et Linux


Niveau d'utilisateur 4
Badge +6
Impossible de faire tourner voomotion sur linux. Le flash n'est plus mis à jour sauf sur Chrome mais là image noir. Des solutions?
Voo ne penserait il pas à adapter voomotion en HTML5 et abandonner le Flash qui tente à disparaître.
icon

Meilleure réponse par Mathew 28 janvier 2016, 15:10

Bonjour à tous,

J'aimerais apporter quelques précisions par rapport à la réponse de Fanny. En effet, VOOmotion n'est pas supporté "nativement" sur les distributions Linux, mais il est tout à fait possible de le faire fonctionner moyennant quelques manipulations : le plugin Pipelight fait tourner une version Windows de Flash qui lui permet de gérer des contenus vidéo protégés. Pour l'installation, voir: https://doc.ubuntu-fr.org/pipelight

Le résultat en images :



On est bien d'accord, ce n'est pas une solution tout à fait "propre" si on adhère fermement à la philosophie du libre, mais bon...
Afficher l'original

42 commentaires

Bonjour,
Il y a une autre solution vérifiée sur Ubuntu 16.04.1
1) installer Wine qui fait partie des paquets officiels
2) télécharger et enregistrer
a)Firefox pour Windows
b) Flash Player 24 pour Windows
3) installer à l'aide de wine (il suffit de sélectionner le fichier et ensuite avec la touche de droite ouvrir avec Wine)
a) Firefox ( un icône de Firefox apparaît sur votre bureau)
b) Flash Player
4) éventuellement redémarrer le PC
5) démarrer Firefox via l'icône sur le bureau, ensuite se connecter à Voomotion et voilà le tour set joué
Niveau d'utilisateur 7
Badge +11
Avec une interface de ligne de commande conviviale, vpn linux de PureVPN est adapté aux besoins de ceux qui recherchent confidentialité et de sécurité, un VPN Linux idéal pour les plates-formes telles qu’Ubuntu, Debian, Fedora et CentOS.

Bonjour,

A quoi peut servir un VPN pour regardé VOO Motion, alors que maintenant, on peut le regarder tranquillement sur n'importe quel navigateur sous Linux ...

Je trouve inutile d'ajouter des composants sont on n'en a aucune utilité ....
Avez-vous essayé le liens de Mustafa ?

Rendez-vous sur cet article : Quelles sont les conditions minimales à respecter pour utiliser VOOmotion sur mon ordinateur ?
Le HTML 5 est compatible avec Linux car format web implémenté dans les navigateurs, contrairement au flash ... loool
Niveau d'utilisateur 3
Badge +4
Je poste la solution à mon problème au cas où ...

En voulant regarder une vidéo le lecteur dédié de ubuntu à demandé des codecs, j'ai installé tous les codecs de la liste proposée en le lecteur à fonctionné.
Suite à ça j'ai ouvert voomotion qui m'a demandé d'activer les DRM , et ça fonctionne.
Quoiqu'on en dise, il faut quand même installé quelque chose pour que ça fonctionne.

Merci
Niveau d'utilisateur 7
Badge +12
Hello
La solution vous avait été suggérée dans nos messages précédents notamment au sujet des codecs manquants et aussi on vous a donné une explication pour les DRM nécessaires pour VOOmotion.

Forcément le système ne va pas décoder toutes sortes de formats vidéo nativement , pour la plupart il faut installer les packages de codecs nécessaires comme sur les autres OS comme Mac OS ou Windows...

Les DRM sont eux uniquement liés à la protection des contenus demandées par les chaînes ou ayant droits.
Bonne nuit
Niveau d'utilisateur 7
Badge +11
Dommage qu'une solution ne se dégage pas...

Linux ne dégage pas non plus de solution pour remplacer pipelight ... à moins de retravailler le code source 🙂
Niveau d'utilisateur 7
Badge +11
Oui; cela devrait voir le jour ... quand ? c'est la constante mystérieuse ... :)

Et comme j'aime les mystères ... je me laisse bercer ;)

En attendant, cela ne me manque pas, puisque j'ai aussi Android, sur lequel cela fonctionne bien, et puis, bon ... la TV est à côté de moi .. 🙂
Niveau d'utilisateur 2
Badge +2
Bonjour à tous,

J'aimerais apporter quelques précisions par rapport à la réponse de Fanny. En effet, VOOmotion n'est pas supporté "nativement" sur les distributions Linux, mais il est tout à fait possible de le faire fonctionner moyennant quelques manipulations : le plugin Pipelight fait tourner une version Windows de Flash qui lui permet de gérer des contenus vidéo protégés. Pour l'installation, voir: https://doc.ubuntu-fr.org/pipelight

Le résultat en images :



On est bien d'accord, ce n'est pas une solution tout à fait "propre" si on adhère fermement à la philosophie du libre, mais bon...


Deux précisions par rapport à cette réponse.

* Contrairement à ce qu'indique le wiki d'Ubuntu, Pipelight est toujours en cours de développement et maintenu (cf. les récents commits sur Launchpad).
* Pipelight ne fonctionne qu'avec les navigateurs disposant de l'API NPAPI, donc uniquement Firefox et dérivés.

Il n'existe à l'heure actuelle toujours aucune solution pour Chrome/Chromium et dérivés (ex.: Opera), car le plugin Flash en version PPAPI ne supporte pas les DRM (testé). Utiliser le plugin Widevine (fourni par défaut sous Google Chrome, mais à installer manuellement sous Chromium) ne résout pas non plus le problème (testé), car ce plugin ne concerne que les EME (Encrypted Media Extensions) d'HTML5 et non les DRM de Flash.

J'ai essayé de déchiffrer manuellement le flux, en rejouant les Cookies, mais on dirait que ffmpeg n'arrive pas à recevoir la clé DRM pour exploiter le contenu du fichier HLS M3U8.

Niveau d'utilisateur 7
Badge +11
Salux,

Je suis aussi sous Linux, principalement sous Manjaro, fork de Arch ...

J'ai aussi le même problème, et quand bien même je sait ouvrir VOO Motion, il n'est en effet pas possible de regarder une vidéo.

Flash est vraiment en voie de disparition, encore quelques mois, et on n'entendra plus parler de cette crasse ...

Alors ... pourquoi VOO s’éternise t'ils toujours à garder ce qui va disparaître ???

Si VOO abandonne Flash, alors VOO Motion sera visible sous toutes les plate-formes ...

@Pluche
Gerinald
Niveau d'utilisateur 7
Badge +11
VOO pourrait en attendant supprimer les DRM vu que c'est ça qui pose problème, mais je doute que ce soit eux qui décident.

Salux,

Exact, ce n'est pas VOO qui décide, mais les géants qui ont déposé cette crasse de brevet, Microsoft et Apple en tête ....

Le DRM était et il est créé pour contrer le piratage des médias de toutes sortes ....

Pour les coûts, ... hum ... il faut voir en se projetant dans le futur .... :)

@Pluche
Gerinald
Niveau d'utilisateur 7
Badge +11
@roylion15 cela fait en effet longtemps que nous l'attendons ....

La patience semble enfin payer ... 🙂
Niveau d'utilisateur 2
Badge +2
Bonjour à tous.

Tournant moi-même sous une distribution GNU/Linux (ArchLinux). Comme tous les utilisateurs tournant sur cette plateforme, je suis impacté par ce problème.

Utilisant Chromium, j'ai tout d'abord pensé à une détection sur l'User-Agent. Je l'ai donc changé de façon à me faire passer pour un Windows 7 x64 sous Chrome. Même problème, écran noir sur les chaînes.
Comme Chromium utilise la version PPAPI du plugin Flash v18, j'ai tout d'abord pensé à un problème cette API.
Je suis donc passé sur Firefox, mais j'utilise sur ce navigateur un wrapper me permettant d'utiliser la version de Flash v18 PPAPI de Chrom(e|ium) sous Firefox. J'ai donc enlevé mon wrapper pour utiliser l'ancienne version de flash utilisant NPAPI (11.2).
Ok en procédant de la sorte j'obtiens le message d'erreur à l'emplacement de la vidéo "To view this page ensure that Adobe Flash Player version 16.0.0 or greater is installed." (cf screenshot 2)

Comme demandé, je me suis fait passer pour la version iOS, mais l'interface est inutilisable (cf. screenshot 1).

Aussi, j'ai regardé les logs de ma console et j'ai vu que le fichier XML http://fpdownload.adobe.com/crossdomain.xml refuse d'être chargé, car il est introuvable (404) (cf. screenshot 3)
Badge +2
Le problème vient, une fois de plus de cette insanité de DRM qui ne joue qu'avec Apple et Mickey$oft exclusivement, toute autre platforme est bannie de la course pour une question de gros sous tombant dans leurs popoches, ce qui est absolument INACCEPTABLE !!!
La communauté Linux doit se mobiliser pour contrecarer ces plans, il y a eu exactement le même problème avec Netflix, mais eux, ont eu l'intelligence de rendre leur système compatible sous Linux à condition d'utiliser Chrome qui est compatible DRM/HTML5...
Quand Voo vont-ils ENFIN de ce décider à adopter la même résolution permettant aux utilisateurs de platformes OpenSource de profiter de leus services, ces derniers ayant comme les autres payé leur abonnement chez Voo et étant tout à fait dans leur bon droit de prétendre à pouvoir utiliser VooMotion !!!
Merci Voo de vous remuer un peu en ce sens !!!
Bonjour,

Après vérification, VOOmotion n'est pas supporté par le système d'exploitation Linux.

Fanny
Niveau d'utilisateur 2
Badge +2
Bonjour,

Après vérification, VOOmotion n'est pas supporté par le système d'exploitation Linux.

Fanny


Bonjour. Pouvez-vous donner les informations techniques qui pourraient expliquer ce non fonctionnement? La communauté pourrait dans pareil cas peut-être trouver un moyen détourné pour le faire fonctionner.

En vous remerciant d'avance.
Niveau d'utilisateur 6
Badge +6
Juste une précision, la solution n'est plus d'actualité, et ne fonctionnera pas car Pipelight n'est plus maintenu. Il est obsolète, et sans MAJ de sécurités. Pour répondre à TuxBe, le plus fou, j'aimerai aller voir dans les "caves" de VOO, qu'il y aurait du Linux ne m'étonnerai pas. :8
Bonjour fabsfan,

J'ai bien lu votre message.

Avez-vous utilisé un autre navigateur sur Linux ?
Quelle(s) chaîne(s) souhaitiez-vous regarder ?
Lors de votre connexion à VOOmotion, était-ce à votre domicile ?

Bonne fin de journée,

Fanny
Niveau d'utilisateur 4
Badge +6
Oui utilisé avec plusieurs navigateur et vu qu'ils refusent tous la mise à jour flash (pour protection), voomotion ne fonctionne plus. Oui au domicile et toutes les chaines bien sur
Niveau d'utilisateur 7
Badge +10
Essaye peut-être via cette adresse

https://ios.voomotion.be

La version iOS utilise je pense le HTML5 donc peut-être compatible avec linux?
Avec une interface de ligne de commande conviviale, vpn linux de PureVPN est adapté aux besoins de ceux qui recherchent confidentialité et de sécurité, un VPN Linux idéal pour les plates-formes telles qu’Ubuntu, Debian, Fedora et CentOS.
Niveau d'utilisateur 3
Badge +4
Bonjour,
je suis sur ubuntu 19.04 et voomotion ne fonctionne pas , faut il activer quelque chose ?
Niveau d'utilisateur 7
Badge +11
Bonjour Philicou,

Si vous l'utiliser sous Chrome / Chromium, il y des soucis, il faut utiliser Firefox, qui fonctionne sans add-on.
Niveau d'utilisateur 3
Badge +4
Bonjour Philicou,

Si vous l'utiliser sous Chrome / Chromium, il y des soucis, il faut utiliser Firefox, qui fonctionne sans add-on.


Je suis bien sous firefox et avec la dernière version de ubuntu , j'ai une flèche au milieu de l"écran et rien d'autre ...
Niveau d'utilisateur 7
Badge +12
Une capture ?

Commenter